Skip to main content
POST
create

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
schema_id
string

The schema ID. Create a schema first using the POST /schemas endpoint.

Example:

"ec9cb821-6f69-4605-a7fc-0858667eb534"

type
string

The input type can be any of text, image, pdf, and webpage.

Example:

"image"

model
enum<string>

Optional. Can be either 'gpt-4o' or 'gpt-4o-mini', we will use 'gpt-4o' by default

Available options:
gpt-4.1,
gpt-4.1-mini
Example:

"gpt-4.1"

source
string

When type is: PDF - Pass a valid and accesible pdf url

Image - Pass a valid and accesible image url

Webpage - Pass a valid and accesible webpage url

Text - Text content to extract data from

Example:

"https://8ddf98.jpg"

Response

200 - Image / 200 - Webpage

data
object
message
string
Example:

"Extraction completed successfully"

status
boolean
Example:

true